Name:           libopensync-plugin-gpe
Version:        0.36
Release:        1%{?dist}
Summary:        GPE plugin for libopensync

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.opensync.org

Source0:        http://www.opensync.org/download/releases/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  libopensync-devel >= 0.36

Obsoletes: libopensync-plugin-gpe-devel < 0.35
Provides:  libopensync-plugin-gpe-devel = 0.35

%description
%{summary}

%prep
%setup -q

%build
mkdir build
cd build
%cmake -DCMAKE_SKIP_RPATH=YES ../
make VERBOSE=1 %{?_smp_mflags}

%install
cd build
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING ChangeLog README HOWTO
%{_libdir}/opensync-1.0/plugins/gpe-sync.so
%{_datadir}/opensync-1.0/defaults/gpe-sync

%changelog
* Fri Jun 20 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.36-1
- version upgrade
- fix upgrade path

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.35-3
- Autorebuild for GCC 4.3

* Sat Dec 29 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.35-2
- use cmake macro

* Thu Dec 27 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.35-1
- version upgrade

* Wed Aug 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.22-2
- fix license tag
- rebuild for buildid

* Wed Apr 25 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.22-1
- version upgrade

* Wed Dec 20 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.20-1
- version upgrade

* Fri Oct 20 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.19-1
- version upgrade

* Wed Sep 13 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-3
- FE6 rebuild

* Sun Feb 05 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-2
- fix description
- add dist

* Fri Nov 25 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-1
- initial version
